Bug 639879 - (CVE-2010-3698) CVE-2010-3698 kvm: invalid selector in fs/gs causes kernel panic
CVE-2010-3698 kvm: invalid selector in fs/gs causes kernel panic
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
Zhang Kexin
public=20101019,reported=20100927,sou...
: Security
Depends On: 639884 639885 639886 639887
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 05:31 EDT by Petr Matousek
Modified: 2016-04-26 14:12 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 09:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-10-04 05:31:43 EDT
Invoking ioctl(KVM_RUN) while having invalid selector in fs and/or gs register (via LDT modifications) forces kernel to panic (DoS).
Comment 8 errata-xmlrpc 2010-11-10 14:09:44 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0842 https://rhn.redhat.com/errata/RHSA-2010-0842.html
Comment 9 errata-xmlrpc 2010-11-22 14:35:39 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0842 https://rhn.redhat.com/errata/RHSA-2010-0842.html
Comment 10 errata-xmlrpc 2010-12-06 14:09:38 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0898 https://rhn.redhat.com/errata/RHSA-2010-0898.html

Note You need to log in before you can comment on or make changes to this bug.